#!/usr/bin/env bash
set -e
APP="$(dirname "$0")"
eos="$APP/EoS/eos"

PTARGS=(-P=0 -toP=55e9Pa -nP=551 -ticksP=12 -T=300K -toT=3800K -nT=71 -ticksT=15)
FILTER='(p<=55e9)&&(T<=3100)'
P0='0'
T0='300'

DAT="$1"
shift

LEG="${DAT}_leg.txt"

(
    awk "!/^#/{print($P0,$T0,\$3)}" "$APP/pyrolite.txt" "$APP/bulkoc.txt" "$APP/dplman.txt" | sort -u
    awk "!/^#/{print($P0,$T0,\$3)}" "$APP/ms.txt" "$APP/fms.txt" "$APP/fmas.txt" "$APP/cfms.txt" "$APP/cfmas.txt" | sort -u
    awk "!/^#/{print($P0,$T0,\$3)}" "$APP/bulkoc_slb11.txt" "$APP/xumorb_slb11.txt" | sort -u
    awk "!/^#/{p=\$1;T=\$2;bits=\$3;if($FILTER){print(p,T,bits)}}" "$APP/$DAT.txt"
) \
| "$eos" bmpv "${PTARGS[@]}" -width=648 -height=686 -db=SLB11 ALL | tee "$LEG"
