#!/usr/bin/env bash
set -e
APP="$(dirname "$0")"

if [ comprop.fsx -nt comprop.exe ]; then
    fsharpc --optimize+ --tailcalls+ --debug+ -I:"$APP/EoS/lib/eos" comprop.fsx
fi

function plotit {
    OUT="$1"
    COMP="$2"
    shift 2

    #fsharpi -I:"$APP/EoS/lib/eos" --exec phaseprop.fsx \
    MONO_PATH="$APP/EoS/lib/eos" mono --debug comprop.exe \
        -P=0 -toP=140e9Pa -nP=1401 -T=300K -toT=4300K -nT=81 -J=X20/8c "$@" \
        -db="$APP/EoS/lib/eos/SLB11.xml" ALL \
        pyrolite.txt slb11-phases.txt "$COMP" pyrolite_adiabat1600K.txt >"$OUT"
    epspdf "$OUT"
}

for COMP in Mg Fe Ca Al Na; do
    plotit "pyrolite_${COMP}_lp.eps" "$COMP" -R=0/30
done
