#!/usr/bin/env bash
set -e
APP="$(dirname "$0")"
OUT="$(basename "$0" .sh).eps"
eos="$APP/EoS/eos"

JR=(-JX15c -R0/1/0/1400)
PT=(-P=1e5Pa -T=1700K)

H0=$($eos prop ${PT[@]} -x=1,0,0,0,0 -o=G,T,S -db=SLB11 cpx | awk '!/^#/{print($1+$2*$3)}')
H1=$($eos prop ${PT[@]} -x=0,0,0,1,0 -o=G,T,S -db=SLB11 cpx | awk '!/^#/{print($1+$2*$3)}')

awk 'BEGIN{for(i=0;i<=100;++i){x=i/100; print(1-x, 0, 0, x, 0)}}' \
| $eos prop ${PT[@]} -o=x,G,T,S -db=SLB11 cpx \
| awk "BEGIN{H0=$H0;H1=$H1}"' !/^#/{f=$4;H=$6+$7*$8;print(f,(H-(1-f)*H0-f*H1)/10)}' \
| psxy ${JR[@]} -Wthick,blue -K >"$OUT"

H0=$($eos prop ${PT[@]} -x=1,0,0,0,0 -o=G,T,S -db="$APP/di-cats-symm.xml" cpx | awk '!/^#/{print($1+$2*$3)}')
H1=$($eos prop ${PT[@]} -x=0,0,0,1,0 -o=G,T,S -db="$APP/di-cats-symm.xml" cpx | awk '!/^#/{print($1+$2*$3)}')

awk 'BEGIN{for(i=0;i<=100;++i){x=i/100; print(1-x, 0, 0, x, 0)}}' \
| $eos prop ${PT[@]} -o=x,G,T,S -db="$APP/di-cats-symm.xml" cpx \
| awk "BEGIN{H0=$H0;H1=$H1}"' !/^#/{f=$4;H=$6+$7*$8;print(f,(H-(1-f)*H0-f*H1)/10)}' \
| psxy ${JR[@]} -Wthick,blue,-- -O -K >>"$OUT"

awk '{print($1,$2*1e3/10,$3*1e3/10)}' <<EOF \
| psxy ${JR[@]} -Sc8p -Wthin,black -Ey -O -K >>"$OUT"
0.0075188 1.77636e-15 0
0.105263 2.69504 1.41844
0.203008 3.40426 2.62148
0.304511 4.96454 1.34752
0.402256 4.8227 1.48936
0.503759 4.60993 2.19858
0.601504 2.76596 1.81245
0.699248 1.84397 1.9149
0.793233 2.32133 2.78505
0.894737 1.06383 2.12766
0.996241 1.77636e-15 0
EOF

psbasemap ${JR[@]} -B'a0.1f0.05:x[cats]:/a200f50:H@-ex@-/J mol@+-1@+ atom@+-1@+:WSEn' -O >>"$OUT"
epspdf "$OUT"
