#!/usr/bin/env bash
set -e
APP="$(dirname "$0")"

if [ phaseprop.fsx -nt phaseprop.exe ]; then
    fsharpc --optimize+ --tailcalls+ --debug+ -I:"$APP/EoS/lib/eos" phaseprop.fsx
fi

function plotit {
    OUT="$1"
    XIN="$2"
    TIN="$3"
    shift 3

    #fsharpi -I:"$APP/EoS/lib/eos" --exec phaseprop.fsx \
    MONO_PATH="$APP/EoS/lib/eos" mono --debug phaseprop.exe \
        -P=0 -toP=140e9Pa -nP=1401 -T=300K -toT=4300K -nT=81 -J=X20/8c "$@" \
        -db="$APP/EoS/lib/eos/SLB11.xml" ALL \
        "$XIN" slb11-phases.txt "$TIN" >"$OUT"
    epspdf "$OUT"
}

for BASE in ms fms fmas cfmas; do
    plotit "${BASE}_x_lp.eps" "${BASE}.txt" "${BASE}_adiabat1600K.txt" -R=0/30/0.4/1.01
    #plotit "${BASE}_x_hp.eps" "${BASE}.txt" "${BASE}_adiabat1600K.txt" -R=85/140
done

plotit cfms_x_lp.eps cfms.txt cfmas_adiabat1600K.txt -R=0/30/0.4/1.01
#plotit cfms_x_hp.eps cfms.txt cfmas_adiabat1600K.txt -R=85/140

plotit ncfmas_x_lp.eps pyrolite.txt pyrolite_adiabat1600K.txt -R=0/30/0.4/1.01
